ADDUSER(8)

NAMN
adduser, addgroup - lägg till en användare eller grupp till systemet

SYNOPSIS
adduser [options] [--home DIR] [--shell SHELL] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GROUP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] [--add_extra_groups] user

adduser --system [flaggor] [--home KATALOG] [--shell SKAL] [--no-create-home] [--uid ID] [--group | --ingroup GRUPP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] användare

addgroup [flaggor] [--gid ID] grupp

addgroup --system [flaggor] [--gid ID] grupp

adduser [flaggor] användare grupp

  VANLIGA FLAGGOR
[--quiet] [--debug] [--force-badname] [--help|-h] [--version] [--conf FIL]

BESKRIVNING

adduser and addgroup add users and groups to the system according to command line options and configuration information in /etc/adduser.conf. They are friendlier front ends to the low level tools like useradd, groupadd and usermod programs, by default choosing Debian policy conformant UID and GID values, creating a home directory with skeletal configuration, running a custom script, and other features. adduser and addgroup can be run in one of five modes:

  Lägg till en vanlig användare
Om startad med ett icke-flagga-argument och utan flaggan --system eller --group kommer adduser att lägga till en vanlig användare. adduser kommer att välja det första tillgängliga uid från intervallet som angivits för vanliga användare i konfigurationsfilen. Uid kan åsidosättas med flaggan --uid. Intervallet som anges i konfigurationsfilen kan åsidosättas med flaggorna --firstuid och --lastuid By default, each user in Debian GNU/Linux is given a corresponding group with the same name. Usergroups allow group writable directories to be easily maintained by placing the appropriate users in the new group, setting the set-group-ID bit in the directory, and ensuring that all users use a umask of 002. If this option is turned off by setting USERGROUPS to no, all users' GIDs are set to USERS_GID. Users' primary groups can also be overridden from the command line with the --gid or --ingroup options to set the group by id or name, respectively. Also, users can be added to one or more groups defined in adduser.conf either by setting ADD_EXTRA_GROUPS to 1 in adduser.conf, or by passing --add_extra_groups on the commandline. adduser kommer att skapa en hemkatalog enligt DHOME, GROUPHOMES och LETTERHOMES. Hemkatalogen kan köras över från kommandoraden med flaggan --home och skalet med flaggan --shell. Hemkatalogers setgid-bit är satt om USERGROUPS är yes så att alla filer som skapas i användarens hemkatalog kommer att ha den korrekta gruppen. adduser kommer att kopiera filer från SKEL till hemkatalogen och fråga efter fingerinformation (gecos) och ett lösenord. Gecos kan också ställas in med flaggan --gecos. Med flaggan --disabled-login kommer kontot att skapas men inaktiveras tills ett lösenord är satt. Flaggan --disabled-password kommer inte att sätta ett lösenord men inloggning är fortfarande möjlig (till exempel genom SSH RSA-nycklar). Om filen /usr/local/sbin/adduser.local existerar kommer den att startas efter att användarens konto har blivit uppsatt för att göra vissa lokala inställningar. Argumenten som skickas till adduser.local är:
användarnamn uid gid hemkatalog
Miljövariabeln VERBOSE ställs in enligt följande regel:

0 om --quiet angivs

1 om varken --quiet eller --debug är angivna

2 om --debug angivs
    (Samma gäller för varibeln DEBUG men DEBUG bör inte användas och kommer att tas bort i en senare version av adduser.)

  Lägg till en systemanvändare
Om anropad med ett icke-flagga-argument och flaggan --system kommer adduser att lägga till en systemanvändare. Om en användare med ett uid i systemintervallet (eller om uid angivs med den) inte redan existerar kommer adduser att avslutas med en varning. adduser will choose the first available UID from the range specified for system users in the configuration file (FIRST_SYSTEM_UID and LAST_SYSTEM_UID). If you want to have a specific UID, you can specify it using the --uid option. Som standard placeras systemanvändare i gruppen nogroup. För att placera den nya systemanvändaren i en redan existerande grupp kan flaggorna --gid eller --ingroup användas. För att placera den nya systemanvändaren i en ny grupp med samma ID, använd flaggan --group. En hemkatalog skapas med samma regler som för vanliga användare. Den nya systemanvändaren kommer att ha skalet /bin/false (om den inte åsidosätts med flaggan --shell) och ha möjligheten för inloggning avstängd. Skelettkonfigurationsfiler kopieras inte.

  Lägg till en användargrupp
Om adduser kallas upp med flaggan --group och utan flaggan --system eller om addgroup kallas upp respektive kommer en användargrupp att läggas till. A GID will be chosen from the range specified for system GIDS in the configuration file (FIRST_GID, LAST_GID). To override that mechanism you can give the GID using the --gid option. Gruppen skapas utan några användare.

  Lägg till en systemgrupp
Om addgroup kallas upp med flaggan --system kommer en systemgrupp att läggas till. A GID will be chosen from the range specified for system GIDS in the configuration file (FIRST_SYSTEM_GID, LAST_SYSTEM_GID). To override that mechanism you can give the GID using the --gid option. Gruppen skapas utan några användare.

  Lägg till en existerande användare till en existerande grupp
Om startad med två icke-flaggor-argument kommer adduser att lägga till en existerande användare till en existerande grupp.

FLAGGOR

--conf FIL
    Använd FIL istället för /etc/adduser.conf.

--disabled-login
    Kör inte passwd för att ställa in lösenordet. Användaren kommer inte att kunna använda sitt konto tills lösenordet är inställt.

--disabled-password
    Liknande --disabled-login men inloggningar är fortfarande möjliga (till exempel genom SSH RSA-nycklar) men inte med lösenordautentisering.

--force-badname
    By default, user and group names are checked against the configurable regular expression NAME_REGEX specified in the configuration file. This option forces adduser and addgroup to apply only a weak check for validity of the name.

--gecos GECOS
    Set the gecos field for the new entry generated. adduser will not ask for finger information if this option is given.

--gid ID
    När en grupp skapas tvingar denna flagga den nya gid att vara det angivna numret. När en användare skapas kommer denna flagga att sätta användaren i den gruppen.

--group
    När kombinerad med --system kommer en grupp med samma namn och ID som systemanvändaren att skapas. Om den inte kombineras med --system kommer en grupp med angivet namn att skapas. Detta är standardåtgärden om programmet startas som addgroup.

--help
    Visa korta instruktioner.

--home KATALOG
    Använd KATALOG som användarens hemkatalog hellre än det förvalda i konfigurationsfilen. Om katalogen inte existerar kommer den skapas och skelettfiler kopieras dit.

--shell SKAL
    Använd SKAL som användarens inloggningsskal hellre än det förvalda i konfigurationsfilen.

--ingroup GRUPP
    Add the new user to GROUP instead of a usergroup or the default group defined by USERS_GID in the configuration file. This affects the users primary group. To add additional groups, see the add_extra_groups option

--no-create-home
    Skapa inte hemkatalogen även om den inte existerar.

--quiet
    Visa inte informativa meddelanden, visa endast varningar och fel.

--debug
    Var informativ, mycket användbar om du vill hitta problem med adduser.

--system
    Create a system user or group.

--uid ID
    Force the new userid to be the given number. adduser will fail if the userid is already taken.

--firstuid ID
    Override the first uid in the range that the uid is chosen from (overrides FIRST_UID specified in the configuration file).

--lastuid ID
    Override the last uid in the range that the uid is chosen from ( LAST_UID )

--add_extra_groups
    Add new user to extra groups defined in the configuration file.

--version
    Visa version och information om copyright.

EXIT VALUES

0   The user exists as specified. This can have 2 causes: The user was created by adduser or the user was already present on the system before adduser was invoked. Invoking adduser a second time with the same parameters as before also returns 0.

1   Creating the user or group failed because it was already present with other UID/GID than specified. The username or groupname was rejected because of a mismatch with the configured regular expressions, see adduser.conf(5). Adduser has been aborted by a signal.
    Or for many other yet undocumented reasons which are printed to console then. You may then consider to remove --quiet to make adduser more verbose.

FILER

/etc/adduser.conf
    Default configuration file for adduser and addgroup

SE OCKSÅ
adduser.conf(5), deluser(8), useradd(8), groupadd(8), usermod(8), Debian Policy 9.2.2.

ÖVERSÄTTARE
Denna manualsida har översatts av Daniel Nylander <po@danielnylander.se> den 25 november 2005. Om du hittar några felaktigheter i översättningen, vänligen skicka ett e-postmeddelande till översättaren eller till sändlistan <debian-l10n-swedish@lists.debian.org>,

COPYRIGHT
Copyright (C) 1997, 1998, 1999 Guy Maor. Modifications by Roland Bauerschmidt and Marc Haber. Additional patches by Joerg Hoh and Stephen Gran.
Copyright (C) 1995 Ted Hajek, med en hel del lånat från ursprungliga Debian adduser
Copyright (C) 1994 Ian Murdock. adduser är fri programvara; se GNU General Public Licence version 2 eller senare för villkor för kopiering. Det finns ingen garanti.